import request from '@/utils/request'
//获取列表
export function getInfo(data) {
  return request({
    url: '/order/v1/getWaitBreedOrderList',
    method: 'get',
    params: data
  })
}
//锁定
export function lockWorkParts(data) {
  return request({
    url: '/order/v1/lockWorkParts',
    method: 'post',
    params: data
  })
}
//解锁
export function unLockWorkParts(data) {
  return request({
    url: '/order/v1/unLockWorkParts',
    method: 'post',
    params: data
  })
}
//增加
export function addInfo(data) {
  return request({
    url: '/printbill/newPrintBill',
    method: 'post',
    params: data
  })
}



//获取id详情
export function getInfoById(data) {
  return request({
    url: '/printbill/getPrintBillDetail',
    method: 'post',
    params: data
  })
}
//修改并提交施工单
export function submitPrintBill(data) {
  return request({
    url: '/printbill/submitPrintBill',
    method: 'post',
    params: data
  })
}
//修改并暂存施工单
export function updatePrintBill(data) {
  return request({
    url: '/printbill/submitPrintBill',
    method: 'post',
    params: data
  })
}

//获取施工单脚印
export function getPrintBillSteps(data) {
  return request({
    url: '/printbill/getPrintBillSteps',
    method: 'post',
    params: data
  })
}

//施工单退回
export function backPrintBill(data) {
  return request({
    url: '/printbill/backPrintBill',
    method: 'post',
    params: data
  })
}

//施工单作废
export function voidPrintBill(data) {
  return request({
    url: '/printbill/voidPrintBill',
    method: 'post',
    params: data
  })
}
//从数据库重建指定年份施工单缓存
export function rebuildEsCacheYear(data) {
  return request({
    url: '/printbill/rebuildEsCacheYear',
    method: 'post',
    params: data
  })
}

//从数据库重建全部施工单缓存
export function rebuildEsCache(data) {
  return request({
    url: '/printbill/rebuildEsCache',
    method: 'post',
    params: data
  })
}

//专版组版生成施工单
export function buildPrintBillExclusive(data) {
  return request({
    url: '/printbill/buildPrintBillExclusive',
    method: 'post',
    params: data
  })
}
